Transcription Flow Groups

A named group for organizing related transcription flow configurations.

GET /transcription_flow_groups

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flow_groups

List Transcription Flow Group records.

Returns Transcription Flow Groups, which organize related transcription flows used to search call transcripts for keywords and trigger actions. Restricted to account superusers.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • transcription_flows_count
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /transcription_flow_groups/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flow_groups/new

Build Transcription Flow Group with defaults.

Returns a Transcription Flow Group built with default attributes for previewing available fields. It is not saved.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

POST /transcription_flow_groups

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flow_groups

Create Transcription Flow Group.

Creates a Transcription Flow Group used to organize related transcription flows under a name and description. Restricted to account superusers.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

GET /transcription_flow_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flow_groups/:id

Get Transcription Flow Group by id.

Returns a single Transcription Flow Group by id. Restricted to account superusers.

PUT /transcription_flow_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flow_groups/:id

Update Transcription Flow Group by id.

Updates a Transcription Flow Group's name or description. Restricted to account superusers.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

DELETE /transcription_flow_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flow_groups/:id

Destroy Transcription Flow Group by id.

Permanently deletes a Transcription Flow Group. Restricted to account superusers.